[med-svn] r5655 - trunk/packages/biomaj/trunk/debian

olivier sallou osallou-guest at alioth.debian.org
Tue Jan 11 15:51:26 UTC 2011


Author: osallou-guest
Date: 2011-01-11 15:51:24 +0000 (Tue, 11 Jan 2011)
New Revision: 5655

Added:
   trunk/packages/biomaj/trunk/debian/biomaj-watcher.README.source
   trunk/packages/biomaj/trunk/debian/biomaj-watcher.config
   trunk/packages/biomaj/trunk/debian/biomaj-watcher.postinst
   trunk/packages/biomaj/trunk/debian/biomaj-watcher.postrm
   trunk/packages/biomaj/trunk/debian/biomaj-watcher.prerm
   trunk/packages/biomaj/trunk/debian/biomaj-watcher.templates
Modified:
   trunk/packages/biomaj/trunk/debian/control
   trunk/packages/biomaj/trunk/debian/rules
Log:
set multiple binary packages

Added: trunk/packages/biomaj/trunk/debian/biomaj-watcher.README.source
===================================================================
--- trunk/packages/biomaj/trunk/debian/biomaj-watcher.README.source	                        (rev 0)
+++ trunk/packages/biomaj/trunk/debian/biomaj-watcher.README.source	2011-01-11 15:51:24 UTC (rev 5655)
@@ -0,0 +1,3 @@
+The BmajWatcher war application is made with GWT toolkit. Once compiled and war directory is produced, war file must be uploaded on a repository. The generation must be done before package creation, GWT is not executed at package build time nor installation.
+
+To recreate the debian package structure, a script biomajwatcher_deb.sh is available in packaging directory in svn structure. It copies necessary files from svn to a debian structure. For BmajWatcher, the war file must have been uploaded to a repository. The scripts define 2 versions for each element (biomaj/bmajwatcher) at the beginning of the file. It must be  updated to the required version prior to execution.

Added: trunk/packages/biomaj/trunk/debian/biomaj-watcher.config
===================================================================
--- trunk/packages/biomaj/trunk/debian/biomaj-watcher.config	                        (rev 0)
+++ trunk/packages/biomaj/trunk/debian/biomaj-watcher.config	2011-01-11 15:51:24 UTC (rev 5655)
@@ -0,0 +1,31 @@
+#!/bin/sh -e
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+# admin login
+db_input critical biomaj/login || true
+db_go
+
+# admin passwd
+db_input critical biomaj/password || true
+db_go
+
+# Configure LDAP ?
+db_input critical biomaj/ldap || true
+db_go
+db_get biomaj/ldap
+if [ $RET = "true" ]; then
+	# LDAP server
+	db_input critical biomaj/ldap_server || true
+	db_go
+
+	# LDAP dn
+	db_input critical biomaj/ldap_dn || true
+	db_go
+
+	# LDAP filter
+	db_input critical biomaj/ldap_filter || true
+	db_go
+fi
+


Property changes on: trunk/packages/biomaj/trunk/debian/biomaj-watcher.config
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/packages/biomaj/trunk/debian/biomaj-watcher.postinst
===================================================================
--- trunk/packages/biomaj/trunk/debian/biomaj-watcher.postinst	                        (rev 0)
+++ trunk/packages/biomaj/trunk/debian/biomaj-watcher.postinst	2011-01-11 15:51:24 UTC (rev 5655)
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+set -e
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+#DEBHELPER#
+
+
+biomajwatcher_root="/usr/share/biomaj-watcher"
+
+bmajconf="/etc/biomaj-watcher"
+
+bmajroot="/usr/share/biomaj"
+
+
+db_get biomaj/login
+app_login="$RET"
+db_get biomaj/password
+app_passwd="$RET"
+
+db_get biomaj/ldap
+use_ldap="$RET"
+db_get biomaj/ldap_server
+ldap_host="$RET"
+db_get biomaj/ldap_dn
+ldap_dn="$RET"
+db_get biomaj/ldap_filter
+opt_filer="$RET"
+
+# Link general.conf
+cd $biomajwatcher_root
+
+javac -d $biomajwatcher_root/bin $biomajwatcher_root/bin/WatcherConfigurator.java
+
+java -cp $biomajwatcher_root/bin WatcherConfigurator bmajroot:=$bmajroot bmajconf:=$bmajconf use_ldap:=$use_ldap ldap_host:=$ldap_host ldap_dn:=$ldap_dn opt_filter:=$opt_filter app_login:=$app_login app_passwd:=$app_passwd
+
+mkdir -p /usr/share/java/webapps/biomaj-watcher/WEB-INF/lib
+cp /usr/share/biomaj/lib/biomaj.jar /var/lib/tomcat6/shared/
+
+cp /etc/biomaj-watcher/BmajWatcher*.xml /var/lib/tomcat6/conf/Catalina/localhost/
+
+TMPZIP=`mktemp -t biomaj-watcher.1.XXXXXX`
+rm $TMPZIP
+cd /usr/share/java/webapps/biomaj-watcher
+zip -r $TMPZIP *
+mv $TMPZIP /var/lib/tomcat6/webapps/BmajWatcher.war
+
+chown -R tomcat6 /etc/biomaj/db_properties
+chmod -R 775 /etc/biomaj/db_properties
+


Property changes on: trunk/packages/biomaj/trunk/debian/biomaj-watcher.postinst
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/packages/biomaj/trunk/debian/biomaj-watcher.postrm
===================================================================
--- trunk/packages/biomaj/trunk/debian/biomaj-watcher.postrm	                        (rev 0)
+++ trunk/packages/biomaj/trunk/debian/biomaj-watcher.postrm	2011-01-11 15:51:24 UTC (rev 5655)
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+#DEBHELPER#
+
+# Remove all
+if [ -e /var/lib/tomcat6/webapps/BmajWatcher.war ]; then
+    rm  /var/lib/tomcat6/webapps/BmajWatcher.war
+fi
+
+if [ -e /var/lib/tomcat6/shared/biomaj.jar ]; then
+    rm  /var/lib/tomcat6/shared/biomaj.jar
+fi
+
+if [ -e /usr/share/java/webapps/biomaj-watcher ]; then
+    rm  -rf /usr/share/java/webapps/biomaj-watcher
+fi
+


Property changes on: trunk/packages/biomaj/trunk/debian/biomaj-watcher.postrm
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/packages/biomaj/trunk/debian/biomaj-watcher.prerm
===================================================================
--- trunk/packages/biomaj/trunk/debian/biomaj-watcher.prerm	                        (rev 0)
+++ trunk/packages/biomaj/trunk/debian/biomaj-watcher.prerm	2011-01-11 15:51:24 UTC (rev 5655)
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+# Remove post installation created files
+
+# Remove admin credentials
+if [ -e /usr/share/biomaj/.bmajwatcherpasswd ]; then
+    rm /usr/share/biomaj/.bmajwatcherpasswd
+fi
+
+if [ -e /var/lib/tomcat6/conf/Catalina/localhost/BmajWatcher.xml ]; then
+    rm /var/lib/tomcat6/conf/Catalina/localhost/BmajWatcher.xml
+fi
+
+if [ -e /var/lib/tomcat6/conf/Catalina/localhost/BmajWatcher#logs.xml ]; then
+    rm /var/lib/tomcat6/conf/Catalina/localhost/BmajWatcher#logs.xml
+fi
+
+#DEBHELPER#


Property changes on: trunk/packages/biomaj/trunk/debian/biomaj-watcher.prerm
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/packages/biomaj/trunk/debian/biomaj-watcher.templates
===================================================================
--- trunk/packages/biomaj/trunk/debian/biomaj-watcher.templates	                        (rev 0)
+++ trunk/packages/biomaj/trunk/debian/biomaj-watcher.templates	2011-01-11 15:51:24 UTC (rev 5655)
@@ -0,0 +1,24 @@
+Template: biomaj/login
+Type: string
+_Description: Administration interface admin login:
+
+Template: biomaj/password
+Type: password
+_Description: Administration interface admin password:
+
+Template: biomaj/ldap
+Type: boolean
+_Description: Want to configure LDAP now ?
+
+Template: biomaj/ldap_server
+Type: string
+_Description: Enter LDAP server:
+
+Template: biomaj/ldap_dn
+Type: string
+_Description: Enter LDAP DN:
+
+Template: biomaj/ldap_filter
+Type: string
+_Description: Enter LDAP filter (empty if not needed):
+


Property changes on: trunk/packages/biomaj/trunk/debian/biomaj-watcher.templates
___________________________________________________________________
Added: svn:executable
   + *

Modified: trunk/packages/biomaj/trunk/debian/control
===================================================================
--- trunk/packages/biomaj/trunk/debian/control	2011-01-11 13:38:28 UTC (rev 5654)
+++ trunk/packages/biomaj/trunk/debian/control	2011-01-11 15:51:24 UTC (rev 5655)
@@ -21,9 +21,10 @@
  bioinformaticians. For example, it can transform original fasta files to blast 
  indexes. It is very flexible and post-processes can be extended very easily.
 
-### PLEASE FIXME HERE
 Package: biomaj-watcher
 Architecture: all
-Depends: biomaj
-Description: <INSERT DESCRIPTION HERE>
- <INSERT LONG DESCRIPTION HERE>
+Depends: openjdk-6-jdk, tomcat6, zip, biomaj (>= 1.1), debconf, ${misc:Depends}
+Description: BioMAJ web interface
+ BioMAJ watcher provide a management interface for the BiomAJ tool.
+ It runs in a web container (tomcat) and is accessible at address:
+ http://myhost:myport/BmajWatcher

Modified: trunk/packages/biomaj/trunk/debian/rules
===================================================================
--- trunk/packages/biomaj/trunk/debian/rules	2011-01-11 13:38:28 UTC (rev 5654)
+++ trunk/packages/biomaj/trunk/debian/rules	2011-01-11 15:51:24 UTC (rev 5655)
@@ -1,85 +1,99 @@
 #!/usr/bin/make -f
-# Partie de debian/rules utilisant debhelper.
-# GNU copyright 1997-1999 par Joey Hess.
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+#
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+#
+# Modified to make a template file for a multi-binary package with separated
+# build-arch and build-indep targets  by Bill Allombert 2001
 
-# Décommentez ceci pour enclencher le mode verbeux.
+# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# Ceci est la version de compatibilité à utiliser avec debhelper.
-#export DH_COMPAT=7
+# This has to be exported to make some magic below work.
+export DH_OPTIONS
 
 export ANT_HOME=/usr/share/ant
 
 build: build-stamp
 build-stamp:
 	dh_testdir
-	# ajoutez ici les commandes de compilation du paquet
-	#./configure
-	#make all
-	# --- fin de la partie personnalisée de compilation
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	# ajoutez ici les commandes de nettoyage après le processus de empaquetage
-	#make clean
-	# --- fin de la partie personnalisée de nettoyage
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	#dh_clean -k
 	dh_prep
 	dh_installdirs
 
-# compilez des fichiers indépendants de l'architecture ici
-binary-indep: build install
-	# ant -f usr/local/biomaj/build.xml
-	# Il n'y a rien à faire par défaut
-	#dh_installdirs /etc/biomaj
-	#dh_installdirs /var/log/biomaj
-	#dh_installdirs /usr/local
-	# DESTDIR Doit Etre Exctement /usr/src/packages/BUILD/debian/<nomDuPaquet>
-	#dh_install  general.conf.deb /etc/biomaj/general.conf
-	#dh_install  conf/* /etc/biomaj/
-	#dh_install   * /usr/local/biomaj/
-	#dh_link /etc/biomaj/general.conf /usr/local/biomaj/general.conf
-	dh_installdirs
-	dh_install
-	dh_install usr
-	dh_install var
-	dh_install etc
+# Compile here architecture independant files
+binary-indep: build install  biomaj biomaj-watcher
 	dh_testdir
 	dh_testroot
-	dh_installdebconf
-	dh_installdocs
-	dh_installexamples
-	dh_installmenu
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-	dh_installcron
-	dh_installman
-	dh_installinfo
-#	dh_undocumented
-	dh_installchangelogs
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
-#	dh_makeshlibs
-	dh_installdeb
-#	dh_perl
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
 
+biomaj:
+	dh_installdirs  -p$@
+	dh_install  -p$@
+	dh_install -p$@ usr/share/biomaj
+	dh_install -p$@ usr/share/doc
+	dh_install -p$@ usr/bin/biomaj
+	dh_install -p$@ var/lib/biomaj
+	dh_install -p$@ var/log/biomaj
+	dh_install -p$@ etc/biomaj
+	dh_installdebconf  -p$@
+	dh_installdocs  -p$@
+	dh_installexamples  -p$@
+	dh_installmenu  -p$@
+	dh_installcron -p$@
+	dh_installman -p$@
+	dh_installinfo -p$@
+	dh_installchangelogs -p$@
+	dh_link -p$@
+	dh_strip -p$@
+	dh_compress -p$@
+	dh_fixperms -p$@
+	dh_installdeb -p$@
+	dh_shlibdeps -p$@
+	dh_gencontrol -p$@
+	dh_md5sums -p$@
+	dh_builddeb -p$@
+
+biomaj-watcher:
+	dh_installdirs  -p$@
+	dh_install  -p$@
+	dh_install -p$@ usr/share/biomaj-watcher
+	dh_install -p$@ usr/share/java
+	dh_install -p$@ var/log/biomaj-watcher
+	dh_install -p$@ etc/biomaj-watcher
+        # Common stuff
+	dh_installdebconf  -p$@
+	dh_installdocs  -p$@
+	dh_installexamples  -p$@
+	dh_installmenu  -p$@
+	dh_installcron -p$@
+	dh_installman -p$@
+	dh_installinfo -p$@
+	dh_installchangelogs -p$@
+	dh_link -p$@
+	dh_strip -p$@
+	dh_compress -p$@
+	dh_fixperms -p$@
+	dh_installdeb -p$@
+	dh_shlibdeps -p$@
+	dh_gencontrol -p$@
+	dh_md5sums -p$@
+	dh_builddeb -p$@
+
+
 binary-arch:
 
 binary: binary-indep binary-arch




More information about the debian-med-commit mailing list